Loading...
Searching...
No Matches
ON_Line Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_line.h>`

## Public Member Functions

| ON_Line ()
| ON_Line (const ON_3dPoint &start, const ON_3dPoint &end)
| ~ON_Line ()
bool | IsValid () const
ON_3dPoint & | operator[] (int)
const ON_3dPoint & | operator[] (int) const
bool | Create (const ON_3dPoint &start, const ON_3dPoint &end)
ON_BoundingBox | BoundingBox () const
bool | GetBoundingBox (ON_BoundingBox &bbox, int bGrowBox=false) const
bool | GetTightBoundingBox (ON_BoundingBox &tight_bbox, int bGrowBox=false, const ON_Xform *xform=0) const
bool | InPlane (ON_Plane &plane, double tolerance=0.0) const
double | Length () const
ON_3dVector | Direction () const
ON_3dVector | Tangent () const
ON_3dPoint | PointAt (double t) const
bool | ClosestPointTo (const ON_3dPoint &test_point, double *t) const
ON_3dPoint | ClosestPointTo (const ON_3dPoint &test_point) const
double | DistanceTo (ON_3dPoint test_point) const
double | MinimumDistanceTo (const ON_3dPoint &P) const
double | MinimumDistanceTo (const ON_Line &L) const
double | MaximumDistanceTo (const ON_3dPoint &P) const
double | MaximumDistanceTo (const ON_Line &other) const
bool | IsFartherThan (double d, const ON_3dPoint &P) const
bool | IsFartherThan (double d, const ON_Line &L) const
void | Reverse ()
bool | Transform (const ON_Xform &xform)
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
bool | Rotate (double angle_in_radians, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
bool | Translate (const ON_3dVector &delta)

## Public Attributes

ON_3dPoint | from
ON_3dPoint | to

## Detailed Description

Definition at line 20 of file opennurbs_line.h.

## Constructor & Destructor Documentation

## ON_Line() [1/2]

ON_Line::ON_Line | ( |  | ) |

Referenced by IsFartherThan(), MaximumDistanceTo(), and MinimumDistanceTo().

## ON_Line() [2/2]

ON_Line::ON_Line | ( | const ON_3dPoint & | start,
|  | const ON_3dPoint & | end )

## ~ON_Line()

ON_Line::~ON_Line | ( |  | ) |

## Member Function Documentation

## BoundingBox()

ON_BoundingBox ON_Line::BoundingBox | ( |  | ) | const

## ClosestPointTo() [1/2]

ON_3dPoint ON_Line::ClosestPointTo | ( | const ON_3dPoint & | test_point | ) | const

## ClosestPointTo() [2/2]

bool ON_Line::ClosestPointTo | ( | const ON_3dPoint & | test_point,
|  | double * | t ) const

## Create()

bool ON_Line::Create | ( | const ON_3dPoint & | start,
|  | const ON_3dPoint & | end )

## Direction()

ON_3dVector ON_Line::Direction | ( |  | ) | const

## DistanceTo()

double ON_Line::DistanceTo | ( | ON_3dPoint | test_point | ) | const

## GetBoundingBox()

bool ON_Line::GetBoundingBox | ( | ON_BoundingBox & | bbox,
|  | int | bGrowBox = false ) const

## GetTightBoundingBox()

bool ON_Line::GetTightBoundingBox | ( | ON_BoundingBox & | tight_bbox,
|  | int | bGrowBox = false,
|  | const ON_Xform * | xform = 0 ) const

## InPlane()

bool ON_Line::InPlane | ( | ON_Plane & | plane,
|  | double | tolerance = 0.0 ) const

## IsFartherThan() [1/2]

bool ON_Line::IsFartherThan | ( | double | d,
|  | const ON_3dPoint & | P ) const

## IsFartherThan() [2/2]

bool ON_Line::IsFartherThan | ( | double | d,
|  | const ON_Line & | L ) const

References ON_Line().

## IsValid()

bool ON_Line::IsValid | ( |  | ) | const

## Length()

double ON_Line::Length | ( |  | ) | const

## MaximumDistanceTo() [1/2]

double ON_Line::MaximumDistanceTo | ( | const ON_3dPoint & | P | ) | const

## MaximumDistanceTo() [2/2]

double ON_Line::MaximumDistanceTo | ( | const ON_Line & | other | ) | const

References ON_Line().

## MinimumDistanceTo() [1/2]

double ON_Line::MinimumDistanceTo | ( | const ON_3dPoint & | P | ) | const

## MinimumDistanceTo() [2/2]

double ON_Line::MinimumDistanceTo | ( | const ON_Line & | L | ) | const

References ON_Line().

## operator[]() [1/2]

ON_3dPoint & ON_Line::operator[] | ( | int |  | ) |

## operator[]() [2/2]

const ON_3dPoint & ON_Line::operator[] | ( | int |  | ) | const

## PointAt()

ON_3dPoint ON_Line::PointAt | ( | double | t | ) | const

## Reverse()

void ON_Line::Reverse | ( |  | ) |

## Rotate() [1/2]

bool ON_Line::Rotate | ( | double | angle_in_radians,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation )

## Rotate() [2/2]

bool ON_Line::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation )

## Tangent()

ON_3dVector ON_Line::Tangent | ( |  | ) | const

## Transform()

bool ON_Line::Transform | ( | const ON_Xform & | xform | ) |

## Translate()

bool ON_Line::Translate | ( | const ON_3dVector & | delta | ) |

## Member Data Documentation

## from

ON_3dPoint ON_Line::from

Definition at line 266 of file opennurbs_line.h.

## to

ON_3dPoint ON_Line::to

Definition at line 267 of file opennurbs_line.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_line.h